Bug 502224 - Eliminate race in Unix socket creation / use 'server' option
Eliminate race in Unix socket creation / use 'server' option
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 12:09 EDT by Richard W.M. Jones
Modified: 2010-03-16 13:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 10:28:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-05-22 12:09:32 EDT
Eliminate this race:

http://git.et.redhat.com/?p=libguestfs.git;a=blob;f=src/guestfs.c;h=fb214c535de1a63b2042d22912d6cf2b53664d3d;hb=HEAD#l956

by using "server" on the Unix socket.  See qemu
function qemu_chr_open_tcp [sic] for details.
Comment 1 Mark McLoughlin 2009-05-25 11:01:32 EDT
Note the "nowait" flag too

Moving upstream
Comment 2 Richard W.M. Jones 2009-09-22 10:28:13 EDT
This is long fixed.

Note You need to log in before you can comment on or make changes to this bug.